SDL_CreateGPUSampler(3)

NAME
SDL_CreateGPUSampler - Creates a sampler object to be used when binding textures in a graphics workflow.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

SDL_GPUSampler * SDL_CreateGPUSampler(
    SDL_GPUDevice *device,
    const SDL_GPUSamplerCreateInfo *createinfo);

DESCRIPTION
There are optional properties that can be provided through props. These are the supported properties:

• SDL_PROP_GPU_SAMPLER_CREATE_NAME_STRING: a name that can be displayed in debugging tools.

FUNCTION PARAMETERS

device
    a GPU Context.

createinfo
    a struct describing the state of the sampler to create.

RETURN VALUE
Returns a sampler object on success, or NULL on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_BindGPUVertexSamplers(3), SDL_BindGPUFragmentSamplers(3), SDL_ReleaseGPUSampler(3)